<?php
/* --------------------------------------------------------------
   SwedenVatIdValidator.php 2024-06-03
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2024 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

declare(strict_types=1);

namespace Gambio\Core\VatValidation\App\Validators;

/**
 * Class SwedenVatIdValidator
 *
 * @package Gambio\Core\VatValidation\App\Validators
 */
class SwedenVatIdValidator implements ManualVatIdValidator
{
    /**
     * @inheritDoc
     */
    public function validatedCountryIsoCode(): string
    {
        return 'se';
    }
    
    
    /**
     * @inheritDoc
     */
    public function validateVatId(string $vatId): bool
    {
        return preg_match("/^se[0-9]{10}01$/", strtolower($vatId)) === 1;
    }
}